*{
    margin: 0;
    padding: 0;
}
body {
      background-color:#1e293bc7;
      color: white;
    }

    header {
      background: #1e293b;
      padding: 20px 30px;
      display: flex;
      justify-content: space-between;
      align-items: center;
      box-shadow: 0 2px 8px rgba(0,0,0,0.4);
      position: sticky;
      top: 0px;
      z-index: 99;
    }

    header h1 {
      font-size: 22px;
      color: #38bdf8;
    }

    header input {
      padding: 8px 12px;
      border-radius: 8px;
      border: none;
      outline: none;
      width: 200px;
      
    }

    .container {
      padding: 20px;
      display: grid;
      grid-template-columns:repeat(4,1fr);
      gap: 30px;
    }

    .movie-card {
      background: #1e293b;
      border-radius: 12px;
      overflow: hidden;
      transition: transform 0.3s;
      cursor: pointer;
    }
    

    .movie-card:hover {
      transform: scale(1.05);
    }

    .movie-card img {
      width: 100%;
      height: 300px;
      object-fit: cover;
    }

    .movie-info {
      padding: 15px;
    }

    .movie-info h3 {
      font-size: 18px;
      margin-bottom: 8px;
    }

    .rating {
      color: gold;
      font-weight: bold;
    }
    .RD{
        font-weight: bold;
         color: gold;
        font-weight: bold;
    }